+2007-03-14 Miklos Szeredi <miklos@szeredi.hu>
+
+ * Released 2.7.0-pre1
+
2007-03-05 Miklos Szeredi <miklos@szeredi.hu>
* Correctly handle O_APPEND in direct IO mode. Reported by Greg
Bruno
+ * mount.fuse should use /bin/bash. Debian Bug#413403. Reported
+ by Thomas Weinbrenner
+
+2007-02-26 Miklos Szeredi <miklos@szeredi.hu>
+
+ * Fix detection of installed fuse in init script. Reported and
+ fix suggested by Davide Canova
+
+2007-02-05 Miklos Szeredi <miklos@szeredi.hu>
+
+ * Fix 2.6.9 RHEL kernels, which have compatibility mutex.h, but
+ don't define mutex_destroy(), bummer. Patch from Phil Schwan
+
+2007-02-04 Miklos Szeredi <miklos@szeredi.hu>
+
+ * Released 2.6.3
+
+2007-02-04 Miklos Szeredi <miklos@szeredi.hu>
+
+ * Compile fuseblk for kernels which don't have an option to turn
+ off the block layer (CONFIG_BLOCK). Reported by Szakacsits
+ Szabolcs
+
2007-02-03 Miklos Szeredi <miklos@szeredi.hu>
* Add filesystem stacking support to high level API. Filesystem
-AC_INIT(fuse, 2.7.0-pre0)
+AC_INIT(fuse, 2.7.0-pre1)
AC_CANONICAL_TARGET
AM_INIT_AUTOMAKE
AM_CONFIG_HEADER(include/config.h)
-AC_INIT(fuse-kernel, 2.7.0-pre0)
+AC_INIT(fuse-kernel, 2.7.0-pre1)
AC_CONFIG_HEADERS([config.h])
AC_PROG_INSTALL
else
AC_MSG_RESULT([no])
fi
+ AC_MSG_CHECKING([if kernel has BLOCK option ])
+ if test -f $kernelsrc/block/Kconfig && egrep -wq "config *BLOCK" $kernelsrc/block/Kconfig; then
+ AC_DEFINE(HAVE_CONFIG_BLOCK, 1, [kernel has BLOCK option])
+ AC_MSG_RESULT([yes])
+ else
+ AC_MSG_RESULT([no])
+ fi
isuml=no
KERNELMAKE_PARAMS=
#define mutex semaphore
#endif
#ifndef HAVE_I_MUTEX
+#ifndef mutex_destroy
+/* Some RHEL kernels include a backported mutex.h, which lacks mutex_destroy */
+#define mutex_destroy(m) do { } while (0)
+#endif
#define i_mutex i_sem /* Hack for struct inode */
#endif
#ifndef KERNEL_2_6_19_PLUS
#define clear_nlink(inode) (inode)->i_nlink = 0
#define inc_nlink(inode) (inode)->i_nlink++
#endif
+#ifndef HAVE_CONFIG_BLOCK
+#define CONFIG_BLOCK
+#endif
/** Max number of pages that can be used in a single read request */
#define FUSE_MAX_PAGES_PER_REQ 32
MOUNTPOINT=/sys/fs/fuse/connections
# Gracefully exit if the package has been removed.
-test -x `which fusermount` || exit 0
+which fusermount &>/dev/null || exit 0
error()
{
-#!/bin/sh
+#!/bin/bash
#
# FUSE mount helper
# Petr Klima <qaxi@seznam.cz>